from random import randint
numbersMatched = 0

numOfTickets = int(input("How many weeks do you want to play?"))
num1 = int(input("Please enter in your first number (1-10)"))
num2 = int(input("Please enter your second number (11-20)"))
num3 = int(input("Please enter in your final number(21-30)"))


for i in range(numOfTickets) :
    winningNum1 = randint(1,10)
    winningNum2 = randint(11,20)
    winningNum3 = randint(21,30)

    print("Week: ", i+1)

    if num1 == winningNum1:
        numbersMatched += 1

    if num2 == winningNum2:
        numbersMatched += 1

    if num3 == winningNum3:
        numbersMatched += 1

    print("The winning numbers were: ", winningNum1, winningNum2, winningNum3)
    if numbersMatched == 0:
        print("You won nothing")

    if numbersMatched == 1:
        print("You won £10")

    if numbersMatched == 2:
        print("You won £500")

    if numbersMatched == 3:
        print("Well Done! you won £1,000,000")

    numbersMatched = 0

